preferences_window.c File Reference
`#include "preferences_window.h"`
Include dependency graph for preferences_window.c:

Go to the source code of this file.

## Functions

GtkWidget * | create_choose_preferences (ui_state *ui)
GString * | get_checked_language (ui_state *ui)
gboolean | get_checked_output_radio_box (ui_state *ui)
gint | get_checked_tags_version_radio_box (gui_state *gui)
gchar * | get_output_directory (ui_state *ui)
void | refresh_preview_drawing_areas (gui_state *gui)
void | set_output_directory_and_update_ui (gchar *dirname, ui_state *ui)
void | update_example_output_dir_for_single_file_split (ui_state *ui)

## Detailed Description

The preferences tab

this file contains the code for the preferences tab where the preferences can be chosen.

Definition in file preferences_window.c.

## Function Documentation

GtkWidget* create_choose_preferences | ( | ui_state * | ui | ) |

creates the preferences tab

Definition at line 1366 of file preferences_window.c.

GString* get_checked_language | ( | ui_state * | ui | ) |

Returns the selected language.

must be free() the result after using it.

Definition at line 50 of file preferences_window.c.

gboolean get_checked_output_radio_box | ( | ui_state * | ui | ) |

returns the checked output radio box

Definition at line 71 of file preferences_window.c.

Referenced by update_output_options().

Here is the caller graph for this function:

gint get_checked_tags_version_radio_box | ( | gui_state * | gui | ) |

returns the checked tags radio box

Definition at line 90 of file preferences_window.c.

Referenced by put_options_from_preferences().

Here is the caller graph for this function:

gchar* get_output_directory | ( | ui_state * | ui | ) |

Get the name of the output directory.

Returns
  - The name of the output directory, if a directory is set.
  - NULL, otherwise.

Definition at line 189 of file preferences_window.c.

Referenced by load_preferences(), and split_button_event().

Here is the caller graph for this function: